cpw.mods.fml.client

## Class GuiSlotModList

- java.lang.Object
- - cpw.mods.fml.client.GuiScrollingList
  - - cpw.mods.fml.client.GuiSlotModList

-     public class GuiSlotModList
      extends GuiScrollingList

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.GuiScrollingList

      `bottom, left, listHeight, listWidth, mouseX, mouseY, slotHeight, top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSlotModList(GuiModList parent, java.util.ArrayList<ModContainer> mods, int listWidth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `drawBackground()`
    `protected void` | `drawSlot(int listIndex, int var2, int var3, int var4, Tessellator var5)`
    `protected void` | `elementClicked(int var1, boolean var2)`
    `protected int` | `getContentHeight()`
    `protected int` | `getSize()`
    `protected boolean` | `isSelected(int var1)`

    - ### Methods inherited from class cpw.mods.fml.client.GuiScrollingList

      `actionPerformed, drawGradientRect, drawScreen, func_27255_a, func_27256_c, func_27257_b, func_27258_a, func_27259_a, func_27260_a, registerScrollButtons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiSlotModList

          public GuiSlotModList(GuiModList parent,
                        java.util.ArrayList<ModContainer> mods,
                        int listWidth)

  - ### Method Detail

    - #### getSize

          protected int getSize()

      Specified by:
        `getSize` in class `GuiScrollingList`

    - #### elementClicked

          protected void elementClicked(int var1,
                            boolean var2)

      Specified by:
        `elementClicked` in class `GuiScrollingList`

    - #### isSelected

          protected boolean isSelected(int var1)

      Specified by:
        `isSelected` in class `GuiScrollingList`

    - #### drawBackground

          protected void drawBackground()

      Specified by:
        `drawBackground` in class `GuiScrollingList`

    - #### getContentHeight

          protected int getContentHeight()

      Overrides:
        `getContentHeight` in class `GuiScrollingList`

    - #### drawSlot

          protected void drawSlot(int listIndex,
                      int var2,
                      int var3,
                      int var4,
                      Tessellator var5)

      Specified by:
        `drawSlot` in class `GuiScrollingList`